Subject: Re: [dispatch] [sipcore] [Technical Errata Reported] RFC7315 (4474)

From: Cullen Jennings <[email-masked]>
Date: Thu, 8 Oct 2015 12:15:34 -0600

My 2 cents is still more appropriate to fix it with a draft that epodes  it not an Errata. Imagine an SBC or Firewall that is checking the SIP syntax using the ABNF. The odds of them seeing this change and implementing it much better with an RFC than an errata. Total work either way is minimal. 

> On Sep 30, 2015, at 9:12 AM, Christer Holmberg <[email-masked]> wrote:
> 
> Hi,
> 
>> (+sipcore, dispatch)
>> (as individual)
>> 
>> I just realized this discussion did not include the sipcore or dispatch lists, and probably should.
>> 
>> Recap: Christer proposed an errata (4474) to RFC 7315. It proposes the following change:
>> 
>>> Section 5.4 says:
>>> 
>>> extension-access-info  = gen-value
>>> 
>>> It should say:
>>> 
>>> extension-access-info  = generic-param
>> 
>> The generic-param construction allows the NAME = VALUE syntax as in the TS 24.229 extension Jean mentioned below.
>> 
>> Keeping in mind the RFC in question was for 3GPP: Is anyone aware of implementations of 7315 that would be broken
>> by this? From Jean's example, it looks like 3GPP had already assumed generic-param.
> 
> Correct.
> 
> Also, comparing RFC 3455 and RFC 7315, *all but one* of the new access-info parameter values that were added in RFC 7315 follow the generic-param syntax.  So, it seems like we in IETF also assumed generic-param when we did RFC 7315 (and/or we were not concerned about parser issues), but nobody noticed the ABNF issue.
> 
> And, as I said earlier, I am pretty sure this header is mostly (only?) used in 3GPP environments, and nobody in 3GPP objected to the change I am now suggesting. It was discussed in 3GPP, and the outcome was to file the errata.
> 
> Finally, as Jean indicated, 3GPP has defined a new value, daylight-saving-time, which also uses the generic-param syntax.
> 
> Regards,
> 
> Christer
> 
> 
> On 23 Sep 2015, at 16:23, A. Jean Mahoney wrote:
> 
>> FWIW - TS 24.229, which defines the values for access-info, considers 
>> extension-access-info to be a generic-param, and not a gen-value as 
>> specified RFC7315. 3GPP has defined one extension so far (7.2A.4):
>> 
>> 
>> daylight-saving-time = "daylight-saving-time" EQUAL quoted-string
>> 
>> TS 124 229 - V12.9.0 - Digital cellular telecommunications system 
>> (Phase 2+); Universal Mobile Telecommunications System (UMTS); LTE; IP 
>> multimedia call control protocol based on Session Initiation Protocol 
>> (SIP) and Session Description Protocol (SDP); Stage 3 (3GPP TS 24.229 
>> version 12.9.0 Release 12) The daylight-saving-time is an instance of 
>> generic-param from the current extension-access-info component of the 
>> P- Access-Network-Info header field defined in RFC
>> 7315 [52].
>> 
>> 
>> Jean
>> 
>> 
>> 
>> On 9/23/15 3:47 PM, Cullen Jennings wrote:
>>> I can see that it might have been better if it had been done this way 
>>> Christer is proposing but I don't see how you can change it now. This 
>>> change would break existing parsers that checked this. That does not 
>>> seem like an errata level thing to me.
>>> 
>>> 
>>>> On Sep 21, 2015, at 10:30 AM, Ben Campbell <[email-masked]> wrote:
>>>> 
>>>> sipcore and dispatch chairs:
>>>> 
>>>> Do you have any concerns about accepting Christer's errata? (I note 
>>>> RFC 7315 was an orphaned sipping draft progressed as AD sponsored.)
>>>> 
>>>> Ben.
>>>> 
>>>> Forwarded message:
>>>> 
>>>>> From: Christer Holmberg <[email-masked]>
>>>>> To: Ben Campbell <[email-masked]>
>>>>> Cc: [email-masked] <[email-masked]>
>>>>> Subject: Re: [sipcore] [Technical Errata Reported] RFC7315 (4474)
>>>>> Date: Mon, 21 Sep 2015 10:26:26 +0000
>>>>> 
>>>>> Any news on this?
>>>>> 
>>>>> Regards,
>>>>> 
>>>>> Christer
>>>>> 
>>>>> From: sipcore [mailto:[email-masked]] On Behalf Of 
>>>>> Christer Holmberg
>>>>> Sent: 14. syyskuuta 2015 23:24
>>>>> To: Ben Campbell
>>>>> Cc: [email-masked]
>>>>> Subject: Re: [sipcore] [Technical Errata Reported] RFC7315 (4474)
>>>>> 
>>>>> Hi Ben,
>>>>> 
>>>>> I am pretty sure generic-param was the original intention. The 
>>>>> majority of all existing value follow the generic-param syntax, and 
>>>>> I can't think of any reason why new values would not follow the 
>>>>> same syntax. That is how it works for other header fields too.
>>>>> 
>>>>> I think this is due to a mistake, where someone thought that 
>>>>> extension-access-info  represents the actual parameter name, and 
>>>>> therefor only a value (gen-value) is needed. But, 
>>>>> extension-access-info represents the whole rule (name AND value), 
>>>>> why generic-param is needed :)
>>>>> 
>>>>> Regards,
>>>>> 
>>>>> Christer
>>>>> 
>>>>> Sent from my Windows Phone
>>>>> ________________________________
>>>>> From: Ben Campbell<mailto:[email-masked]>
>>>>> Sent: ‎14/‎09/‎2015 21:31
>>>>> To: Christer Holmberg<mailto:[email-masked]>
>>>>> Cc: [email-masked]<mailto:[email-masked]>
>>>>> Subject: Re: [sipcore] [Technical Errata Reported] RFC7315 (4474) 
>>>>> Hi Christer,
>>>>> 
>>>>> Is it your understanding that the use of generic-param was the 
>>>>> actual intention at the time 7315 was published? Or was gen-value 
>>>>> the original intention, but we now think that it should have been 
>>>>> generic-param?
>>>>> 
>>>>> Thanks!
>>>>> 
>>>>> Ben.
>>>>> 
>>>>> On 14 Sep 2015, at 6:22, Christer Holmberg wrote:
>>>>> 
>>>>>> FYI,
>>>>>> 
>>>>>> I've now submitted the errata.
>>>>>> 
>>>>>> Regards,
>>>>>> 
>>>>>> Christer
>>>>>> 
>>>>>> -----Original Message-----
>>>>>> From: RFC Errata System [mailto:[email-masked]]
>>>>>> Sent: 14. syyskuuta 2015 14:21
>>>>>> To: [email-masked]<mailto:[email-masked]>;
>>>>>> [email-masked]<mailto:[email-masked]>;
>>>>>> Christer Holmberg;
>>>>>> [email-masked]<mailto:[email-masked]>
>>>>>> Cc: Christer Holmberg;
>>>>>> [email-masked]<mailto:[email-masked]>
>>>>>> Subject: [Technical Errata Reported] RFC7315 (4474)
>>>>>> 
>>>>>> The following errata report has been submitted for RFC7315, 
>>>>>> "Private Header (P-Header) Extensions to the Session Initiation 
>>>>>> Protocol
>>>>>> (SIP)
>>>>>> for the 3GPP".
>>>>>> 
>>>>>> --------------------------------------
>>>>>> You may review the report below and at:
>>>>>> http://www.rfc-editor.org/errata_search.php?rfc=7315&eid=4474
>>>>>> 
>>>>>> --------------------------------------
>>>>>> Type: Technical
>>>>>> Reported by: Christer Holmberg
>>>>>> <[email-masked]<mailto:christer.holmberg@ericsson.
>>>>>> com>>
>>>>>> 
>>>>>> Section: 5.4
>>>>>> 
>>>>>> Original Text
>>>>>> -------------
>>>>>> extension-access-info  = gen-value
>>>>>> 
>>>>>> Corrected Text
>>>>>> --------------
>>>>>> extension-access-info  = generic-param
>>>>>> 
>>>>>> Notes
>>>>>> -----
>>>>>> Most of the pre-defined access-info values are following the 
>>>>>> generic-param syntax. New access-info values (extensions) should 
>>>>>> also be allowed to follow the generic-param syntax, in order to 
>>>>>> allow both for a name and value of the extension.
>>>>>> 
>>>>>> Instructions:
>>>>>> -------------
>>>>>> This erratum is currently posted as "Reported". If necessary, 
>>>>>> please use "Reply All" to discuss whether it should be verified or 
>>>>>> rejected.
>>>>>> When a decision is reached, the verifying party (IESG) can log in 
>>>>>> to change the status and edit the report, if necessary.
>>>>>> 
>>>>>> --------------------------------------
>>>>>> RFC7315 (draft-drage-sipping-rfc3455bis-14)
>>>>>> --------------------------------------
>>>>>> Title               : Private Header (P-Header) Extensions to the
>>>>>> Session Initiation Protocol (SIP) for the 3GPP
>>>>>> Publication Date    : July 2014
>>>>>> Author(s)           : R. Jesske, K. Drage, C. Holmberg
>>>>>> Category            : INFORMATIONAL
>>>>>> Source              : IETF - NON WORKING GROUP
>>>>>> Area                : N/A
>>>>>> Stream              : IETF
>>>>>> Verifying Party     : IESG
>>>>>> 
>>>>>> _______________________________________________
>>>>>> sipcore mailing list
>>>>>> [email-masked]<mailto:[email-masked]>
>>>>>> https://www.ietf.org/mailman/listinfo/sipcore
>>>>> _______________________________________________
>>>>> sipcore mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/sipcore
> 
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 9 Oct 2015 02:03:08 +0000

Hi Cullen,

So, you are suggesting a SIPCORE draft that updates the ABNF?

Regards,

Christer

Sent from my Windows Phone
________________________________
From: Cullen Jennings<mailto:[email-masked]>
Sent: ‎08/‎10/‎2015 23:17
To: Christer Holmberg<mailto:[email-masked]>
Cc: Ben Campbell<mailto:[email-masked]>; SIPCORE<mailto:[email-masked]>; DISPATCH list<mailto:[email-masked]>
Subject: Re: [dispatch] [sipcore] [Technical Errata Reported] RFC7315 (4474)

---

From: "Ben Campbell" <[email-masked]>
Date: Wed, 14 Oct 2015 09:20:56 -0500

> So, you are suggesting a SIPCORE draft that updates the ABNF?

This is where the chairs will point out that special-purpose extensions 
are generally not in scope for sipcore :-) If so, this might could also 
be done as AD sponsored.

Ben.

---

From: Christer Holmberg <[email-masked]>
Date: Sun, 18 Oct 2015 07:52:24 +0000

Hi,

So, shall I address the draft to some WG, or?

draft-holmberg-dispatch ?

Regards,

Christer

Sent from my Windows Phone
________________________________
From: Ben Campbell<mailto:[email-masked]>
Sent: ‎14/‎10/‎2015 17:21
To: Christer Holmberg<mailto:[email-masked]>
Cc: Cullen Jennings<mailto:[email-masked]>; DISPATCH list<mailto:[email-masked]>; SIPCORE<mailto:[email-masked]>
Subject: Re: [sipcore] [dispatch] [Technical Errata Reported] RFC7315 (4474)

Ben.

---

From: "Ben Campbell" <[email-masked]>
Date: Sun, 18 Oct 2015 13:27:43 -0500

dispatch is the place to start.

Thanks!

Ben.

On 18 Oct 2015, at 2:52, Christer Holmberg wrote:

> Cc: Cullen Jennings<mailto:[email-masked]>; DISPATCH 
> list<mailto:[email-masked]>; SIPCORE<mailto:[email-masked]>

---

From: Cullen Jennings <[email-masked]>
Date: Tue, 20 Oct 2015 17:06:58 -0700

I had not really thought about where it should be done but seem like a trivial draft that updates would be better than an errata for this.  But when in doubt, Dispatch seems like a fine place to send it to start. 

> On Oct 8, 2015, at 7:03 PM, Christer Holmberg <[email-masked]> wrote:
> 
> Hi Cullen,
> 
> From: Cullen Jennings <mailto:[email-masked]>
> To: Christer Holmberg <mailto:[email-masked]>
> Cc: Ben Campbell <mailto:[email-masked]>; SIPCORE <mailto:[email-masked]>; DISPATCH list <mailto:[email-masked]>
> > On Sep 30, 2015, at 9:12 AM, Christer Holmberg <[email-masked] <mailto:[email-masked]>> wrote:
> > 
> > Hi,
> > 
> >> (+sipcore, dispatch)
> >> (as individual)
> >> 
> >>>> On Sep 21, 2015, at 10:30 AM, Ben Campbell <[email-masked] <mailto:[email-masked]>> wrote:
> >>>> 
> >>>>> From: Christer Holmberg <[email-masked] <mailto:[email-masked]>>
> >>>>> To: Ben Campbell <[email-masked] <mailto:[email-masked]>>
> >>>>> Cc: [email-masked] <mailto:[email-masked]> <[email-masked] <mailto:[email-masked]>>
> >>>>> From: sipcore [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of 
> >>>>> Christer Holmberg
> >>>>> Cc: [email-masked] <mailto:[email-masked]>
> >>>>> From: Ben Campbell<mailto:[email-masked] <mailto:[email-masked]>>
> >>>>> To: Christer Holmberg<mailto:[email-masked] <mailto:[email-masked]>>
> >>>>> Cc: [email-masked] <mailto:[email-masked]><mailto:[email-masked] <mailto:[email-masked]>>
> >>>>>> From: RFC Errata System [mailto:[email-masked] <mailto:[email-masked]>]
> >>>>>> To: [email-masked] <mailto:[email-masked]><mailto:[email-masked] <mailto:[email-masked]>>;
> >>>>>> [email-masked] <mailto:[email-masked]><mailto:[email-masked] <mailto:[email-masked]>>;
> >>>>>> Christer Holmberg;
> >>>>>> [email-masked] <mailto:[email-masked]><mailto:[email-masked] <mailto:[email-masked]>>
> >>>>>> Cc: Christer Holmberg;
> >>>>>> [email-masked] <mailto:[email-masked]><mailto:[email-masked] <mailto:[email-masked]>>
> >>>>>> http://www.rfc-editor.org/errata_search.php?rfc=7315&eid=4474 <http://www.rfc-editor.org/errata_search.php?rfc=7315&eid=4474>
> >>>>>> 
> >>>>>> <[email-masked] <mailto:[email-masked]><mailto:christer.holmberg@ericsson.
> >>>>>> com>>
> >>>>>> 
> >>>>>> Section: 5.4
> >>>>>> 
> >>>>>> Original Text
> >>>>>> -------------
> >>>>>> [email-masked] <mailto:[email-masked]><mailto:[email-masked] <mailto:[email-masked]>>
> >>>>>> https://www.ietf.org/mailman/listinfo/sipcore <https://www.ietf.org/mailman/listinfo/sipcore>
> >>>>> [email-masked] <mailto:[email-masked]>
> >>>>> https://www.ietf.org/mailman/listinfo/sipcore <https://www.ietf.org/mailman/listinfo/sipcore>
> > 
> > [email-masked] <mailto:[email-masked]>
> > https://www.ietf.org/mailman/listinfo/dispatch <https://www.ietf.org/mailman/listinfo/dispatch>